Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class BeanVendorAdapter

    java.lang.Object
      |
      +--org.apache.axis.components.jms.JMSVendorAdapter
            |
            +--org.apache.axis.components.jms.BeanVendorAdapter

Direct Known Subclasses:
  SonicMQVendorAdapter

public class BeanVendorAdapter
extends JMSVendorAdapter

Uses ClassUtils.forName and reflection to configure ConnectionFactory. Uses the input sessions to create destinations.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com)

Field Summary
`protected static java.lang.String` | `CONNECTION_FACTORY_CLASS`

Constructor Summary
`BeanVendorAdapter()`

Method Summary
`javax.jms.QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap cfConfig)`
`javax.jms.TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap cfConfig)`

Methods inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`getQueue, getTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_FACTORY_CLASS

    protected static final java.lang.String CONNECTION_FACTORY_CLASS

Constructor Detail

### BeanVendorAdapter

    public BeanVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getQueueConnectionFactory` in class `JMSVendorAdapter`

### getTopicConnectionFactory

    public javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getTopicConnectionFactory` in class `JMSVendorAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.